require 'mechanize'

module BrowserLike

  def browser
    @browser ||= Mechanize.new
  end

  def page
    @page
  end

  def visit_link link
    @page = browser.get link
  end

  def find_on_page path
      page.search(path).each do |node|
        return node.text.strip
      end
  end
end
